Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code

Unified Diff: .travis/travis-script.sh

Issue 29663688: Issue 6220 - add travis-ci configuration for adblockpluscore (Closed) Base URL: github.com:adblockplus/adblockpluscore
Patch Set: rebase & fix openssl version on osx Created March 1, 2018, 10:52 a.m.
Use n/p to move between diff chunks; N/P to move between comments.
Jump to:
View side-by-side diff with in-line comments
Download patch
« .travis.yml ('K') | « .travis/travis-install.sh ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: .travis/travis-script.sh
diff --git a/.travis/travis-script.sh b/.travis/travis-script.sh
new file mode 100644
index 0000000000000000000000000000000000000000..0d174c335e14bdf9ab78d378aa7f8086b1c02a76
--- /dev/null
+++ b/.travis/travis-script.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+. .travis/activate-nodejs.sh
+
+set -x
+set -e
+
+PATH=${PATH}:${TRAVIS_BUILD_DIR}/third_party/ninja:$(python3 -c "import sysconfig;print(sysconfig.get_paths('posix_user')['scripts'])")
+
+meson --buildtype ${BUILDTYPE} build
+ninja -C build
+npm test
« .travis.yml ('K') | « .travis/travis-install.sh ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld